<?php defined('SYSPATH') OR die('No direct access allowed.');
/**
 * Geomap widget
 *
 * @package NINJA
 * @author op5 AB
 * @license GPL
 */
class Geomap2_Widget extends widget_Base {
	public function options() {
		# don't call parent, as we don't want a slider - the geomap refreshes itself
		$option = new option('geomap2', 'height', 'Height (px)', 'input', array('size'=>3), 472);
		$option->should_render_js(false);
		return array($option);
	}

	public function index()
	{
		# fetch widget view path
		$view_path = $this->view_path('view');
		$this->js = array('modules/geomap/widgets/geomap2/js/geomap');
		$arguments = $this->get_arguments();
		require($view_path);
	}
}
